Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class AbstractBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder

All Implemented Interfaces:
  Border, Serializable

Direct Known Subclasses:
  BasicBorders.ButtonBorder, BasicBorders.FieldBorder, BasicBorders.MarginBorder, BasicBorders.MenuBarBorder, BevelBorder, CompoundBorder, EmptyBorder, EtchedBorder, LineBorder, MetalBorders.ButtonBorder, MetalBorders.Flush3DBorder, MetalBorders.InternalFrameBorder, MetalBorders.MenuBarBorder, MetalBorders.MenuItemBorder, MetalBorders.OptionDialogBorder, MetalBorders.PaletteBorder, MetalBorders.PopupMenuBorder, MetalBorders.ScrollPaneBorder, MetalBorders.TableHeaderBorder, MetalBorders.ToolBarBorder, TitledBorder

public abstract class AbstractBorder
extends Object
implements Border, Serializable

A class that implements an empty border with no size. This provides a convenient base class from which other border classes can be easily derived.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`AbstractBorder()`

Method Summary
`Insets` | `getBorderInsets(Component c)` This default implementation returns the value of getBorderMargins.
`Insets` | `getBorderInsets(Component c, Insets insets)` Reinitializes the insets parameter with this Border's current Insets.
`static Rectangle` | `getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)` Returns a rectangle using the arguments minus the insets of the border.
`Rectangle` | `getInteriorRectangle(Component c, int x, int y, int width, int height)` This convenience method calls the static method.
`boolean` | `isBorderOpaque()` This default implementation returns false.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` This default implementation does no painting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBorder

    public AbstractBorder()

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  This default implementation does no painting.
  Specified by:
    `paintBorder` in interface `Border`
  Following copied from interface: `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  This default implementation returns the value of getBorderMargins.
  Specified by:
    `getBorderInsets` in interface `Border`
  Following copied from interface: `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border insets value applies

### getBorderInsets

    public Insets getBorderInsets(Component c,
                                  Insets insets)

  Reinitializes the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized

### isBorderOpaque

    public boolean isBorderOpaque()

  This default implementation returns false.
  Specified by:
    `isBorderOpaque` in interface `Border`

### getInteriorRectangle

    public Rectangle getInteriorRectangle(Component c,
                                          int x,
                                          int y,
                                          int width,
                                          int height)

  This convenience method calls the static method.

### getInteriorRectangle

    public static Rectangle getInteriorRectangle(Component c,
                                                 Border b,
                                                 int x,
                                                 int y,
                                                 int width,
                                                 int height)

  Returns a rectangle using the arguments minus the insets of the border. This is useful for determining the area that components should draw in that will not intersect the border.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.